Upsert Price List Assignment
Upsert a single Price List Assignment for a Price List.
Note:
- Supports up to 25 simultaneous PUT requests. Running more than the allowed number of requests concurrently on the same store will result in a
429status error and your additional requests will fail.
Authentication
X-Auth-Tokenstring
OAuth scopes
Authentication header
Further reading
For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.
For more about BigCommerce OAuth scopes, see our Guide to API Accounts.
For a list of API status codes, see API Status Codes.
Path parameters
price_list_id
The ID of the Price List requested.
store_hash
Permanent ID of the BigCommerce store.
Headers
Accept
The MIME type of the response body.
Request
This endpoint expects an object.
customer_group_id
Customer group ID for assignment.
channel_id
Channel ID for assignment
Response
A price list assignment.
data
meta
Response metadata.
Errors
404
Not Found Error